Bug 430943 - libsoup 2.4 patch for buoh
Summary: libsoup 2.4 patch for buoh
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: buoh
Version: 9
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Chris Chabot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 434015 (view as bug list)
Depends On:
Blocks: gcc43rebuildfail
TreeView+ depends on / blocked
 
Reported: 2008-01-30 18:56 UTC by Dan Winship
Modified: 2013-01-10 04:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:05:15 UTC


Attachments (Terms of Use)
patch to build buoh with libsoup 2.4 (2.14 KB, patch)
2008-01-30 18:56 UTC, Dan Winship
no flags Details | Diff

Description Dan Winship 2008-01-30 18:56:52 UTC
buoh is broken in rawhide because of the libsoup upgrade. This should fix it. 

I tried to file a bug upstream, but upstream appears to be having issues today.
(CVS is down, bug tracker not accepting bugs, etc). So I leave that to you.

Comment 1 Dan Winship 2008-01-30 18:56:52 UTC
Created attachment 293469 [details]
patch to build buoh with libsoup 2.4

Comment 2 Alex Lancaster 2008-03-06 05:22:03 UTC
*** Bug 434015 has been marked as a duplicate of this bug. ***

Comment 3 Alex Lancaster 2008-03-06 05:28:30 UTC
I (temporarily) rebuilt against the libsoup22 package:

rather than applying the patch directly, because the patch as it stands is
incomplete, it needs to patch the generated configure file as well as
configure.in, see:

http://fedoraproject.org/wiki/MichaelThomas/AutotoolsPatching

and in the interests of time (since the Alpha F-9 freeze is approaching), I just
rebuilt against the old version.  This patch should ultimately be applied to the
package (or better, applied upstream), so I'll leave this bug open.

PS: is this maintainer still active?  No rebuilds for any packages over 6 months:

http://koji.fedoraproject.org/koji/userinfo?userID=227

Comment 4 Alex Lancaster 2008-03-06 05:29:19 UTC
Here is the successful koji rebuild in F-9:

http://koji.fedoraproject.org/koji/buildinfo?buildID=41596

Comment 5 Bug Zapper 2008-05-14 04:56:17 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-06-09 23:27:48 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-07-14 15:05:15 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.